%global __python %{__python3}

Name:           gedit-code-assistance
Version:        0.2.0
Release:        5%{?dist}
Summary:        gedit plugin for code assistance for C, C++ and Objective-C

Group:          Applications/Editors
License:        GPLv3+
URL:            http://projects.gnome.org/gedit
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gedit-code-assistance/0.2/%{name}-%{version}.tar.xz

BuildRequires:  gedit-devel
BuildRequires:  gettext
BuildRequires:  cairo-devel
BuildRequires:  atk-devel
BuildRequires:  intltool
BuildRequires:  libpeas-devel
BuildRequires:  gtk3-devel
BuildRequires:  glib2-devel
BuildRequires:  vala-devel
BuildRequires:  libgee06-devel
BuildRequires:  llvm-devel
BuildRequires:  llvm-static
BuildRequires:  clang-devel
BuildRequires:  libpeas-devel
BuildRequires:  python3-gobject >= %{pygo_version}
Requires:       python3-gobject >= %{pygo_version}

%description
gedit code assistance is a plugin for gedit which provides code assistance for
C, C++, Objective-C, Python, XML, and RelaxNG.

%package devel
Summary: Files to compile backends for gedit-code-asistance
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gedit-devel >= %{gtk_version}

%description devel
gedit-code-assistance-devel contains the files required to compile
backends using gedit-code-assistance.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT/%{_libdir}/gedit/plugins -name "*.la" -exec rm {} \;


%files
%defattr(-,root,root,-)
%doc README NEWS COPYING
%{_libdir}/gedit/plugins/*
%dir %{_datadir}/gedit/plugins/gcp
%{_datadir}/gedit/plugins/gcp/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gedit-3.0/gcp
%{_datadir}/vala/vapi/gcp*


%changelog
* Tue Apr 15 2014 Adam Jackson <ajax@redhat.com> 0.2.0-5
- Rebuild against llvm 3.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Ignacio Casal Quinteiro <icq@gnome.org> - 0.2.0-3
- We need python3 now.

* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 0.2.0-2
- Rebuilt for gtksourceview3 soname bump

* Mon Mar 25 2013 Ignacio Casal Quinteiro <icq@gnome.org> - 0.2.0-1
- Update to 0.2.0.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 20 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.5-1
- Update to 0.1.5.

* Mon Oct 15 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.4-1
- Update to 0.1.4.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 06 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.3-1
- Update to 0.1.3.

* Fri Feb 03 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.2-3
- Missing build requirement

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 19 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.2-1
- Update to 0.1.2.

* Sun Nov 13 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.1-1
- Update to 0.1.1.

* Sun Nov 13 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.0-1
- Initial version 0.1.0.
